Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.app3d
Class Export3DFile

    java.lang.Object
      org.deegree.tools.app3d.Export3DFile

    public class Export3DFile

extends Object

`Export3DFile` shows a dialog to the user in which export parameters can be set, and calls the appropriate export method.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Field Summary
`(package private) Map<String,String>` | `exportClasses` A list of class which are able to export and their description.
`(package private) JDialog` | `exportDialog` Shows the export dialog (wizard)
`(package private) ButtonGroup` | `exporterGroup` A button group to handle to activation of only one exporter.
`(package private) boolean` | `okClicked` Will be true if the parameter dialog was ended with the 'ok' button.
`(package private) Map<String,String>` | `originalMap` Holds all parameters which can be given to the exporter.
`(package private) Map<String,JComponent>` | `paramFields` Convenient map, which holds the mapping of the parameters to the components
`(package private) Map<String,String>` | `resultMap` Holds all parameters set by the user
`(package private) String` | `selectedExporter` Will hold a class name of the exporter selected by the user (set in the anonymous Actionlistener of the the ok-button of the ExportDialog)

Constructor Summary
`Export3DFile(View3DFile parent)`

Method Summary
`StringBuilder` | `exportBranchgroup(javax.media.j3d.BranchGroup toExport)`
`Map<String,String>` | `getResultMap()`
`boolean` | `isOkClicked()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### paramFields

    Map<String,JComponent> paramFields

  Convenient map, which holds the mapping of the parameters to the components

### resultMap

    Map<String,String> resultMap

  Holds all parameters set by the user

### originalMap

    Map<String,String> originalMap

  Holds all parameters which can be given to the exporter.

### okClicked

    boolean okClicked

  Will be true if the parameter dialog was ended with the 'ok' button.

### exportClasses

    Map<String,String> exportClasses

  A list of class which are able to export and their description.

### selectedExporter

    String selectedExporter

  Will hold a class name of the exporter selected by the user (set in the anonymous Actionlistener of the the ok-button of the ExportDialog)

### exporterGroup

    ButtonGroup exporterGroup

  A button group to handle to activation of only one exporter.

### exportDialog

    JDialog exportDialog

  Shows the export dialog (wizard)

Constructor Detail

### Export3DFile

    public Export3DFile(View3DFile parent)

Parameters:
  `parent` - of the dialog

Method Detail

### exportBranchgroup

    public StringBuilder exportBranchgroup(javax.media.j3d.BranchGroup toExport)

  Parameters:
    `toExport` - the actual branchgroup
  Returns:
    the String representation of the exported branch group.

### getResultMap

    public Map<String,String> getResultMap()

  Returns:
    the resultMap.

### isOkClicked

    public boolean isOkClicked()

  Returns:
    the okClicked.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org